summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh17
1 files changed, 7 insertions, 10 deletions
diff --git a/autogen.sh b/autogen.sh
index f3d0f9e..0645f28 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -5,21 +5,18 @@ srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
PKG_NAME="mate-calc"
+REQUIRED_AUTOMAKE_VERSION=1.7
+#REQUIRED_YELP_TOOLS_VERSION=3.1.1
-(test -f $srcdir/configure.ac) || {
+(test -f $srcdir/configure.ac \
+ && test -d $srcdir/src) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
+ echo " top-level mate-calc directory"
exit 1
}
which mate-autogen || {
- echo "You need to install mate-common from the MATE Git"
+ echo "You need to install mate-common from the MATE git"
exit 1
}
-
-REQUIRED_AUTOMAKE_VERSION=1.9
-USE_MATE2_MACROS=1
-USE_COMMON_DOC_BUILD=yes
-
-. mate-autogen
-
+USE_MATE2_MACROS=1 USE_COMMON_DOC_BUILD=yes . mate-autogen